Page MenuHomePhabricator

All dumps are broken by MW change which breaks getReplicaServer.php
Closed, ResolvedPublic

Description

Here's the stack trace:

File Edit Options Buffers Tools Text Virtual Envs Help                                                                                                     
/usr/bin/php7.2 /srv/mediawiki/multiversion/MWScript.php getReplicaServer.php --wiki=elwiktionary  --group=dump
ConfigException from line 53 of /srv/mediawiki/php-1.34.0-wmf.21/includes/config/GlobalVarConfig.php: GlobalVarConfig::get: undefined option: 'AllDBsAreLo\
calhost'
#0 /srv/mediawiki/php-1.34.0-wmf.21/maintenance/getReplicaServer.php(41): GlobalVarConfig->get('AllDBsAreLocalh...')
#1 /srv/mediawiki/php-1.34.0-wmf.21/maintenance/doMaintenance.php(99): GetReplicaServer->execute()
#2 /srv/mediawiki/php-1.34.0-wmf.21/maintenance/getReplicaServer.php(56): require_once('/srv/mediawiki/...')
#3 /srv/mediawiki/multiversion/MWScript.php(101): require_once('/srv/mediawiki/...')
#4 {main}

Here's the change that broke it:

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/530884/3/maintenance/getReplicaServer.php

All dumps are broken until this is fixed.

Event Timeline

ArielGlenn triaged this task as Unbreak Now! priority.Sep 8 2019, 5:16 AM
ArielGlenn created this task.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptSep 8 2019, 5:16 AM

Note that I'm on vacation so I might not be near a keyboard when the fix is pushed out for testing, please don't wait for me.

WDoranWMF added subscribers: aaron, WDoranWMF.

@aaron is this related to a performance team change?

Anomie added a subscriber: Anomie.

The config variable $wgAllDBsAreLocalhost was removed in 2016 in rMW5bc9b990acd0: Cleanups to DatabaseMysqlBase. But the code in that maintenance script kept working (seeing null for the global variable), until rMW8f666cabcdcd: Use Maintenance::getConfig in some maintenance scripts changed it to access via Config instead.

Change 535200 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] maintenance/getReplicaServer.php: Remove reference to long-deleted config var

https://gerrit.wikimedia.org/r/535200

Change 535217 had a related patch set uploaded (by Krinkle; owner: Anomie):
[mediawiki/core@wmf/1.34.0-wmf.21] maintenance/getReplicaServer.php: Remove reference to long-deleted config var

https://gerrit.wikimedia.org/r/535217

Change 535200 merged by jenkins-bot:
[mediawiki/core@master] maintenance/getReplicaServer.php: Remove reference to long-deleted config var

https://gerrit.wikimedia.org/r/535200

Gilles moved this task from Inbox to Radar on the Performance-Team board.Sep 9 2019, 7:59 PM
Gilles edited projects, added Performance-Team (Radar); removed Performance-Team.

Change 535217 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.21] maintenance/getReplicaServer.php: Remove reference to long-deleted config var

https://gerrit.wikimedia.org/r/535217

Mentioned in SAL (#wikimedia-operations) [2019-09-11T11:40:56Z] <ladsgroup@deploy1001> Synchronized php-1.34.0-wmf.21/maintenance/getReplicaServer.php: SWAT: [[gerrit:535217|maintenance/getReplicaServer.php: Remove reference to long-deleted config var (T232268)]] (duration: 01m 04s)

Now that the above is deployed, I will watch for the dump scheduler to start succeeding at some of these jobs...

ArielGlenn closed this task as Resolved.Sep 11 2019, 11:56 AM
ArielGlenn claimed this task.

I see dumpTextPass running for one of the wikis so things are at last back on track. Closing this ticket.